function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { useHistory } from 'react-router-dom';
import { doCommonRequest, isObj } from '@teamix/utils';

var useAutoSubmit = function useAutoSubmit(onSubmit, context) {
  if (isObj(onSubmit)) {
    var history = useHistory();
    var submitConfig = onSubmit;
    return function (values) {
      return doCommonRequest(_objectSpread(_objectSpread({
        method: 'POST'
      }, submitConfig), {}, {
        params: _objectSpread(_objectSpread({}, values), submitConfig.params || {})
      }), _objectSpread({
        fields: values
      }, context), history);
    };
  }

  return onSubmit;
};

export default useAutoSubmit;